> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blindsight.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Rotate Audit Webhook Token



## OpenAPI

````yaml /api-reference/openapi.json post /api/integrations/audit-webhook/rotate
openapi: 3.1.0
info:
  title: Blindsight API
  version: 0.1.0
servers: []
security: []
paths:
  /api/integrations/audit-webhook/rotate:
    post:
      tags:
        - integrations
      summary: Rotate Audit Webhook Token
      operationId: rotate_audit_webhook_token_api_integrations_audit_webhook_rotate_post
      parameters:
        - name: X-API-Key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Api-Key
        - name: blindsight_session
          in: cookie
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Blindsight Session
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AuditWebhookSettings'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    AuditWebhookSettings:
      properties:
        enabled:
          type: boolean
          title: Enabled
          default: false
        has_token:
          type: boolean
          title: Has Token
          default: false
        token_last4:
          anyOf:
            - type: string
            - type: 'null'
          title: Token Last4
        ingest_path:
          type: string
          title: Ingest Path
          default: /api/audit-trail/ingest
        ingest_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Ingest Url
        token:
          anyOf:
            - type: string
            - type: 'null'
          title: Token
      type: object
      title: AuditWebhookSettings
      description: Inbound audit-trail webhook settings (user POSTs into Blindsight).
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````